---
title: "List of Google Ads Search Locations for SERP API"
url: "https://docs.dataforseo.com/v3/serp/google/ads_search/locations/"
date: "2026-06-06"
---

## List of Google Ads Search Locations for SERP API

      

Pricing

 Your account will not be charged for using this API

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/serp/google/ads\_search/locations     

### **Note:** All locations in russia and Belarus are no longer supported across all DataForSEO services due to the ongoing invasion of Ukraine.

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the parameters passed in the URL of the GET request* |
| **`result`** | array | *array of results* |
| `location_code` | integer | *location code* |
| `location_name` | string | *full name of the location* |
| `location_code_parent` | integer | *the code of the superordinate location*   example:   `"location_code": 9041134,"location_name": "Vienna International Airport,Lower Austria,Austria","location_code_parent": 20044`where `location_code_parent` corresponds to:  `"location_code": 20044,"location_name": "Lower Austria,Austria"` |
| `country_iso_code` | string | *ISO country code of the location* |
| `location_type` | string | *location type* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/google/ads_search/locations" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get a list of locations
	// GET /v3/serp//v3/serp/google/ads_search/locations
	// in addition to 'google' you can also set other search engine
	// the full list of possible parameters is available in documentation
	$result = $client->get('/v3/serp/google/ads_search');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/google/ads_search/locations',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        country: "us"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from random import Random
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip

client = RestClient("login", "password")
# using this method you can get a list of locations
# GET /v3/serp//v3/serp/google/ads_search/locations
# in addition to 'google' you can also set other search engine
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/ads_search")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_locations()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of locations
            // GET /v3/serp/google/ads_search/locations
            // in addition to 'google' you can also set other search engine
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/google/ads_search");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20241101",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0715 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11191439-1535-0551-0000-3393504210b4",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0092 sec.",
      "cost": 0,
      "result_count": 212,
      "path": [
        "v3",
        "serp",
        "google",
        "ads_search",
        "locations"
      ],
      "data": {
        "api": "serp",
        "function": "locations",
        "se": "google",
        "se_type": "ads_search"
      },
      "result": [
        {
          "location_code": 2004,
          "location_name": "Afghanistan",
          "location_code_parent": null,
          "country_iso_code": "AF",
          "location_type": "Country"
        },
        {
          "location_code": 2008,
          "location_name": "Albania",
          "location_code_parent": null,
          "country_iso_code": "AL",
          "location_type": "Country"
        },
        {
          "location_code": 2010,
          "location_name": "Antarctica",
          "location_code_parent": null,
          "country_iso_code": "AQ",
          "location_type": "Country"
        },
        {
          "location_code": 2012,
          "location_name": "Algeria",
          "location_code_parent": null,
          "country_iso_code": "DZ",
          "location_type": "Country"
        },
        {
          "location_code": 2016,
          "location_name": "American Samoa",
          "location_code_parent": null,
          "country_iso_code": "AS",
          "location_type": "Country"
        },
        {
          "location_code": 2020,
          "location_name": "Andorra",
          "location_code_parent": null,
          "country_iso_code": "AD",
          "location_type": "Country"
        },
        {
          "location_code": 2024,
          "location_name": "Angola",
          "location_code_parent": null,
          "country_iso_code": "AO",
          "location_type": "Country"
        },
        {
          "location_code": 2028,
          "location_name": "Antigua and Barbuda",
          "location_code_parent": null,
          "country_iso_code": "AG",
          "location_type": "Country"
        },
        {
          "location_code": 2031,
          "location_name": "Azerbaijan",
          "location_code_parent": null,
          "country_iso_code": "AZ",
          "location_type": "Country"
        },
        {
          "location_code": 2032,
          "location_name": "Argentina",
          "location_code_parent": null,
          "country_iso_code": "AR",
          "location_type": "Country"
        },
        {
          "location_code": 2036,
          "location_name": "Australia",
          "location_code_parent": null,
          "country_iso_code": "AU",
          "location_type": "Country"
        },
        {
          "location_code": 2040,
          "location_name": "Austria",
          "location_code_parent": null,
          "country_iso_code": "AT",
          "location_type": "Country"
        },
        {
          "location_code": 2044,
          "location_name": "The Bahamas",
          "location_code_parent": null,
          "country_iso_code": "BS",
          "location_type": "Country"
        },
        {
          "location_code": 2048,
          "location_name": "Bahrain",
          "location_code_parent": null,
          "country_iso_code": "BH",
          "location_type": "Country"
        },
        {
          "location_code": 2050,
          "location_name": "Bangladesh",
          "location_code_parent": null,
          "country_iso_code": "BD",
          "location_type": "Country"
        },
        {
          "location_code": 2051,
          "location_name": "Armenia",
          "location_code_parent": null,
          "country_iso_code": "AM",
          "location_type": "Country"
        },
        {
          "location_code": 2052,
          "location_name": "Barbados",
          "location_code_parent": null,
          "country_iso_code": "BB",
          "location_type": "Country"
        },
        {
          "location_code": 2056,
          "location_name": "Belgium",
          "location_code_parent": null,
          "country_iso_code": "BE",
          "location_type": "Country"
        },
        {
          "location_code": 2064,
          "location_name": "Bhutan",
          "location_code_parent": null,
          "country_iso_code": "BT",
          "location_type": "Country"
        },
        {
          "location_code": 2068,
          "location_name": "Bolivia",
          "location_code_parent": null,
          "country_iso_code": "BO",
          "location_type": "Country"
        },
        {
          "location_code": 2070,
          "location_name": "Bosnia and Herzegovina",
          "location_code_parent": null,
          "country_iso_code": "BA",
          "location_type": "Country"
        },
        {
          "location_code": 2072,
          "location_name": "Botswana",
          "location_code_parent": null,
          "country_iso_code": "BW",
          "location_type": "Country"
        },
        {
          "location_code": 2076,
          "location_name": "Brazil",
          "location_code_parent": null,
          "country_iso_code": "BR",
          "location_type": "Country"
        },
        {
          "location_code": 2084,
          "location_name": "Belize",
          "location_code_parent": null,
          "country_iso_code": "BZ",
          "location_type": "Country"
        },
        {
          "location_code": 2090,
          "location_name": "Solomon Islands",
          "location_code_parent": null,
          "country_iso_code": "SB",
          "location_type": "Country"
        },
        {
          "location_code": 2096,
          "location_name": "Brunei",
          "location_code_parent": null,
          "country_iso_code": "BN",
          "location_type": "Country"
        },
        {
          "location_code": 2100,
          "location_name": "Bulgaria",
          "location_code_parent": null,
          "country_iso_code": "BG",
          "location_type": "Country"
        },
        {
          "location_code": 2104,
          "location_name": "Myanmar (Burma)",
          "location_code_parent": null,
          "country_iso_code": "MM",
          "location_type": "Country"
        },
        {
          "location_code": 2108,
          "location_name": "Burundi",
          "location_code_parent": null,
          "country_iso_code": "BI",
          "location_type": "Country"
        },
        {
          "location_code": 2116,
          "location_name": "Cambodia",
          "location_code_parent": null,
          "country_iso_code": "KH",
          "location_type": "Country"
        },
        {
          "location_code": 2120,
          "location_name": "Cameroon",
          "location_code_parent": null,
          "country_iso_code": "CM",
          "location_type": "Country"
        },
        {
          "location_code": 2124,
          "location_name": "Canada",
          "location_code_parent": null,
          "country_iso_code": "CA",
          "location_type": "Country"
        },
        {
          "location_code": 2132,
          "location_name": "Cabo Verde",
          "location_code_parent": null,
          "country_iso_code": "CV",
          "location_type": "Country"
        },
        {
          "location_code": 2140,
          "location_name": "Central African Republic",
          "location_code_parent": null,
          "country_iso_code": "CF",
          "location_type": "Country"
        },
        {
          "location_code": 2144,
          "location_name": "Sri Lanka",
          "location_code_parent": null,
          "country_iso_code": "LK",
          "location_type": "Country"
        },
        {
          "location_code": 2148,
          "location_name": "Chad",
          "location_code_parent": null,
          "country_iso_code": "TD",
          "location_type": "Country"
        },
        {
          "location_code": 2152,
          "location_name": "Chile",
          "location_code_parent": null,
          "country_iso_code": "CL",
          "location_type": "Country"
        },
        {
          "location_code": 2156,
          "location_name": "China",
          "location_code_parent": null,
          "country_iso_code": "CN",
          "location_type": "Country"
        },
        {
          "location_code": 2162,
          "location_name": "Christmas Island",
          "location_code_parent": null,
          "country_iso_code": "CX",
          "location_type": "Country"
        },
        {
          "location_code": 2166,
          "location_name": "Cocos (Keeling) Islands",
          "location_code_parent": null,
          "country_iso_code": "CC",
          "location_type": "Country"
        },
        {
          "location_code": 2170,
          "location_name": "Colombia",
          "location_code_parent": null,
          "country_iso_code": "CO",
          "location_type": "Country"
        },
        {
          "location_code": 2174,
          "location_name": "Comoros",
          "location_code_parent": null,
          "country_iso_code": "KM",
          "location_type": "Country"
        },
        {
          "location_code": 2178,
          "location_name": "Republic of the Congo",
          "location_code_parent": null,
          "country_iso_code": "CG",
          "location_type": "Country"
        },
        {
          "location_code": 2180,
          "location_name": "Democratic Republic of the Congo",
          "location_code_parent": null,
          "country_iso_code": "CD",
          "location_type": "Country"
        },
        {
          "location_code": 2184,
          "location_name": "Cook Islands",
          "location_code_parent": null,
          "country_iso_code": "CK",
          "location_type": "Country"
        },
        {
          "location_code": 2188,
          "location_name": "Costa Rica",
          "location_code_parent": null,
          "country_iso_code": "CR",
          "location_type": "Country"
        },
        {
          "location_code": 2191,
          "location_name": "Croatia",
          "location_code_parent": null,
          "country_iso_code": "HR",
          "location_type": "Country"
        },
        {
          "location_code": 2196,
          "location_name": "Cyprus",
          "location_code_parent": null,
          "country_iso_code": "CY",
          "location_type": "Country"
        },
        {
          "location_code": 2203,
          "location_name": "Czechia",
          "location_code_parent": null,
          "country_iso_code": "CZ",
          "location_type": "Country"
        },
        {
          "location_code": 2204,
          "location_name": "Benin",
          "location_code_parent": null,
          "country_iso_code": "BJ",
          "location_type": "Country"
        },
        {
          "location_code": 2208,
          "location_name": "Denmark",
          "location_code_parent": null,
          "country_iso_code": "DK",
          "location_type": "Country"
        },
        {
          "location_code": 2212,
          "location_name": "Dominica",
          "location_code_parent": null,
          "country_iso_code": "DM",
          "location_type": "Country"
        },
        {
          "location_code": 2214,
          "location_name": "Dominican Republic",
          "location_code_parent": null,
          "country_iso_code": "DO",
          "location_type": "Country"
        },
        {
          "location_code": 2218,
          "location_name": "Ecuador",
          "location_code_parent": null,
          "country_iso_code": "EC",
          "location_type": "Country"
        },
        {
          "location_code": 2222,
          "location_name": "El Salvador",
          "location_code_parent": null,
          "country_iso_code": "SV",
          "location_type": "Country"
        },
        {
          "location_code": 2226,
          "location_name": "Equatorial Guinea",
          "location_code_parent": null,
          "country_iso_code": "GQ",
          "location_type": "Country"
        },
        {
          "location_code": 2231,
          "location_name": "Ethiopia",
          "location_code_parent": null,
          "country_iso_code": "ET",
          "location_type": "Country"
        },
        {
          "location_code": 2232,
          "location_name": "Eritrea",
          "location_code_parent": null,
          "country_iso_code": "ER",
          "location_type": "Country"
        },
        {
          "location_code": 2233,
          "location_name": "Estonia",
          "location_code_parent": null,
          "country_iso_code": "EE",
          "location_type": "Country"
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp